Package de.gebit.integrity.string

## Class AbstractFormattedStringElement

- java.lang.Object
- - de.gebit.integrity.string.AbstractFormattedStringElement

- Direct Known Subclasses:
    `FormattedStringElement`, `FormatTokenElement`

      public abstract class AbstractFormattedStringElement
      extends Object

  Abstract base class for formatted string elements. These elements make up the formatted string.
  Author:
    Rene Schneider - initial API and implementation

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractFormattedStringElement()` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object anOtherObject)` |
    `int` | `hashCode()` |
    `abstract String` | `toFormattedString()` | Returns the elements' contents as a String with all necessary formatting tokens.
    `abstract String` | `toUnformattedString()` | Returns the elements' contents as a String without any formatting tokens.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractFormattedStringElement

          public AbstractFormattedStringElement()

  - ### Method Detail

    - #### toUnformattedString

          public abstract String toUnformattedString()

      Returns the elements' contents as a String without any formatting tokens.
      Returns:
        the unformatted element contents

    - #### toFormattedString

          public abstract String toFormattedString()

      Returns the elements' contents as a String with all necessary formatting tokens.
      Returns:
        the formatted element contents

    - #### equals

          public boolean equals​(Object anOtherObject)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`